Bug 1653895

Summary: [abrt] PackageKit: lr_free(): packagekitd killed by SIGSEGV
Product: [Fedora] Fedora Reporter: aannoaanno
Component: PackageKitAssignee: Richard Hughes <rhughes>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: jonathan, klember, rdieter, rhughes, smparrish
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/48dbc26400347fa65bfa9dd9db4b91a78acc98f6
Whiteboard: abrt_hash:5ba80a9e22a4d759f26201cbe5d083ba950bcfd8;
Fixed In Version: PackageKit-1.1.12-1.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-12-07 02:37:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: cpuinfo
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: mountinfo
none
File: open_fds
none
File: proc_pid_status none

Description aannoaanno 2018-11-27 19:38:23 UTC
Version-Release number of selected component:
PackageKit-1.1.11-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: lr_free
executable:     /usr/libexec/packagekitd
journald_cursor: s=0943bacc662c4136bbfd38a24a5fedcf;i=6cc30;b=cc187670b31d4dbc9c60ce8d3984594b;m=3345c258;t=57b7f3474ab7c;x=4040bd933012d660
kernel:         4.19.3-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 1 aannoaanno 2018-11-27 19:38:28 UTC
Created attachment 1509101 [details]
File: backtrace

Comment 2 aannoaanno 2018-11-27 19:38:29 UTC
Created attachment 1509102 [details]
File: cgroup

Comment 3 aannoaanno 2018-11-27 19:38:31 UTC
Created attachment 1509103 [details]
File: core_backtrace

Comment 4 aannoaanno 2018-11-27 19:38:32 UTC
Created attachment 1509104 [details]
File: cpuinfo

Comment 5 aannoaanno 2018-11-27 19:38:34 UTC
Created attachment 1509105 [details]
File: dso_list

Comment 6 aannoaanno 2018-11-27 19:38:35 UTC
Created attachment 1509106 [details]
File: environ

Comment 7 aannoaanno 2018-11-27 19:38:36 UTC
Created attachment 1509107 [details]
File: exploitable

Comment 8 aannoaanno 2018-11-27 19:38:37 UTC
Created attachment 1509108 [details]
File: limits

Comment 9 aannoaanno 2018-11-27 19:38:39 UTC
Created attachment 1509109 [details]
File: maps

Comment 10 aannoaanno 2018-11-27 19:38:41 UTC
Created attachment 1509110 [details]
File: mountinfo

Comment 11 aannoaanno 2018-11-27 19:38:43 UTC
Created attachment 1509111 [details]
File: open_fds

Comment 12 aannoaanno 2018-11-27 19:38:44 UTC
Created attachment 1509112 [details]
File: proc_pid_status

Comment 13 Kalev Lember 2018-11-28 08:58:11 UTC
This should hopefully be fixed in PackageKit 1.1.12 where we fixed a multithreading issue in DnfRepo handling that was likely causing this crash. If the crash is still reproducable after updating to 1.1.12, please reopen the ticket.

Comment 14 Fedora Update System 2018-11-28 09:00:20 UTC
PackageKit-1.1.12-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 15 Fedora Update System 2018-11-29 03:16:15 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 16 Fedora Update System 2018-12-07 02:37:42 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.